#!/usr/bin/perl -w
# Simple text to cyrillic Lout converter

while(<>){
	s|@|ATSYMBOL|g;
	s|\{|LEFTFIFBRACE|g;
	s|\}|RIGHTFIGBRACE|g;
	s|^\s+?$|\n\@PP |g;
	s| "| {\@Char guillemotleft}|g;
	s|^"|{\@Char guillemotleft}|g;
	s|\t"|\t{\@Char guillemotleft}|g;
	s|\("|\({\@Char guillemotleft}|g;
	s|\["|\[{\@Char guillemotleft}|g;
	s|="|={\@Char guillemotleft}|g;
	s|"|{\@Char guillemotright}|g;
	s|``|{\@Char guillemotleft}|g;
	s|''|{\@Char guillemotright}|g;
	s|`|{\@Char guillemotleft}|g;
	s|'([^\w])|{\@Char guillemotright}$1|g;
	s| - |~--- |g;
	s| --- |~--- |g;
	s| ---$|~---|g;
	s|/|"/"|g;
	s|&|"&"|g;
	s|\#|"\#"|g;
	s|\\|"\\\\"|g;
	s/\|/{\@Sym bar}/g;
	s|\.\.\.|"\.\.\."|g;
	s|_(.+?)_|\@I\{$1\}|g;
	s|\*(.+?)\*|\@B\{$1\}|g;
	s|  +| |g;
	s|ATSYMBOL|"@"|g;
	s|LEFTFIFBRACE|"\{"|g;
	s|RIGHTFIGBRACE|"\}"|g;
print;
}

#
# Possible values for @InitialFont (system-depended) are:
# Antiqua, Arial, Kurier, PSTimes, ComputerModern, CommNew
#
BEGIN {
print <<END_OF_BEGIN
\@SysDatabase \@FontDef {russian}
\@SysInclude {doc}
\@Document
	\@InitialLanguage {Russian} 
	\@InitialFont {PSTimes Base 12p}
	\@InitialSpace {tex}
\/\/    
\@Text \@Begin

\# Uncomment this for heading:
\# \@Display \@Heading

\@PP
END_OF_BEGIN
}

END{
print <<END_OF_END


\@End \@Text
END_OF_END
}

#